Skip to main content
POST
/
v1
/
events
/
batch
Batch Create Events
curl --request POST \
  --url https://events-api.monk.com/v1/events/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    {
      "customerId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "eventName": "api_call",
      "properties": {
        "model": "gpt-4",
        "tokens": 1500
      }
    },
    {
      "externalCustomerId": "cus_yourapp_456",
      "eventName": "storage_gb",
      "idempotencyKey": "evt_2026_02_storage_456",
      "properties": {
        "gb_used": 25.5
      }
    }
  ]
}
'
{
  "status": "accepted",
  "count": 2,
  "requestId": "req_a1b2c3d4e5f67890"
}
Maximum batch size is 10,000 events per request. Scope: usage:write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
events
object[]
required
Maximum array length: 10000

Response

Batch accepted

status
enum<string>
Available options:
accepted
count
integer
requestId
string